// Document shared state
/* export default{
  panzoom: { x: 0, y: 0, zoom: 1 },
  defaults: { nodeHeight: 100 },
  registry: {
    'MatMul': { inputs: [ '[]float32', '[]float32' ], output: '[]float32', style: {color: '#789', textColor: '#fff'} },
    'Weights': { inputs: [], output: '[]float32' },
    'Input': { inputs: [], output: '[]float32', style: {color: '#686', textColor: '#fff'}},
    'Activator': { inputs: [ '[]float32' ], output: '[]float32', type: 'circle', style: {color: '#a44', textColor: 'white'}},
    'R': { inputs: [ '[]float32', 'string' ], output: 'string' },
    'reverse': { inputs: [ 'string' ], output: 'string' }
  },
  nodes: [
    { id: '1', x: 976, y: 163, label: 'Test input random', src: 'R' },
    { id: '2', x: 702, y: 190, label: 'Sigmoid', src: 'Activator' },
    { id: '3', x: 541, y: 195, label: 'MatMul', src: 'MatMul' },
    { id: '4', x: 320, y: 249, label: 'Input', src: 'Input' },
    { id: '5', x: 347, y: 90, label: 'Weights', src: 'Weights' },
    { id: '6', x: 976, y: 263, label: 'reverse', src: 'reverse' }
  ],
  links: [
    { from: '4', to: '3', in: 1 },
    { from: '5', to: '3', in: 0 },
    { from: '3', to: '2', in: 0 },
    { from: '2', to: '1', in: 0 }
  ]
} /**/

export default {
  panzoom: { x: 0, y: 0, zoom: 1 },
  defaults: { 'nodeHeight': 100 },
  registry: {
    'MatMul': { inputs: [ '[]float32', '[]float32' ], output: '[]float32', style: { 'color': '#789', 'textColor': '#fff' } },
    'Weights': { inputs: [], output: '[]float32' },
    'Input': { inputs: [], output: '[]float32', style: { 'color': '#686', 'textColor': '#fff' } },
    'Activator': { inputs: [ '[]float32' ], output: '[]float32', 'type': 'circle', style: { 'color': '#a44', 'textColor': 'white' } },
    'test': { inputs: [ '[]float32', 'string' ], output: 'string' },
    'reverse': { inputs: [ 'string' ], output: 'string' }
  },
  nodes: [
    { id: '4', x: 175, y: 85, label: 'Input', src: 'Input' },
    { id: '3', x: 400, y: 111, label: 'MatMul', src: 'MatMul' },
    { id: '1', x: 1041, y: 137, label: 'Testing', src: 'test' },
    { id: '6', x: 735, y: 115, label: 'MatMul', src: 'MatMul' },
    { id: '8', x: 908, y: 113, label: 'Activator', src: 'Activator' },
    { id: '2', x: 556, y: 114, label: 'Sigmoid', src: 'Activator' },
    { id: '7', x: 615, y: 283, label: 'Weights', src: 'Weights' },
    { id: '5', x: 256, y: 269, label: 'Weights', src: 'Weights' }
  ],
  links: [
    { from: '3', to: '2', in: 0 },
    { from: '2', to: '6', in: 0 },
    { from: '5', to: '3', in: 1 },
    { from: '4', to: '3', in: 0 },
    { from: '7', to: '6', in: 1 },
    { from: '6', to: '8', in: 0 },
    { from: '8', to: '1', in: 0 }
  ]
}
